PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj > Struct Template Referenceabstract

`#include <plask/filters/base.hpp>`

Inheritance diagram for plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]
Collaboration diagram for plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]

## Public Member Functions
| DataSourceWithReceiver ()
| ~DataSourceWithReceiver ()
void | disconnect ()
virtual void | calcConnectionParameters ()=0
| This is called before request for data, but after setup inputObj, outputObj and path fields.
void | setPath (const PathHints *path)
const PathHints * | getPath () const
void | inOrOutWasChanged (GeometryObject::Event &e)
void | connect (InputGeomObj &inputObj, OutputGeomObj &outputObj, const PathHints *path=nullptr)

## Public Attributes
ReceiverFor< PropertyT, InputSpaceType > | in

## Protected Attributes
const InputGeomObj * | inputObj
const OutputGeomObj * | outputObj
plask::optional< PathHints > | path
boost::signals2::connection | geomConnectionIn
boost::signals2::connection | geomConnectionOut

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
struct plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >

Definition at line 178 of file base.hpp.

## Constructor & Destructor Documentation

## ◆ DataSourceWithReceiver()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::DataSourceWithReceiver | ( |  | ) |
| inline

Definition at line 191 of file base.hpp.

## ◆ ~DataSourceWithReceiver()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::~DataSourceWithReceiver | ( |  | ) |
| inline

Definition at line 199 of file base.hpp.

## Member Function Documentation

## ◆ calcConnectionParameters()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

virtual void plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::calcConnectionParameters | ( |  | ) |
| pure virtual

This is called before request for data, but after setup inputObj, outputObj and path fields.

It can calculate trasnaltion and so needed for quick operator() calculation.

Implemented in plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >, plask::InnerDataSource< PropertyT, Geometry3D, Geometry2DCartesian, Geometry3D, Extrusion >, plask::InnerDataSource< PropertyT, Geometry3D, Geometry2DCylindrical, Geometry3D, Revolution >, plask::InnerDataSource< PropertyT, SpaceType, SpaceType, SpaceType, GeometryObjectD< SpaceType::DIM > >, plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >, plask::OuterDataSource< PropertyT, Geometry2DCartesian, Geometry3D, Extrusion, GeometryObjectD< 3 > >, plask::OuterDataSource< PropertyT, Geometry2DCylindrical, Geometry3D, Revolution, GeometryObjectD< 3 > >, plask::OuterDataSource< PropertyT, SpaceType, SpaceType, GeometryObjectD< SpaceType::DIM >, GeometryObjectD< SpaceType::DIM > >, plask::DataFromCyl2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >, and plask::DataFromCyl2Dto3DSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >.

## ◆ connect()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::connect | ( | InputGeomObj & | inputObj,
|  | OutputGeomObj & | outputObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 230 of file base.hpp.

## ◆ disconnect()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::disconnect | ( |  | ) |
| inline

Definition at line 203 of file base.hpp.

## ◆ getPath()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

const PathHints * plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::getPath | ( |  | ) | const
| inline

Definition at line 221 of file base.hpp.

## ◆ inOrOutWasChanged()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::inOrOutWasChanged | ( | GeometryObject::Event & | e | ) |
| inline

Definition at line 225 of file base.hpp.

## ◆ setPath()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::setPath | ( | const PathHints * | path | ) |
| inline

Definition at line 214 of file base.hpp.

## Member Data Documentation

## ◆ geomConnectionIn

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

boost::signals2::connection plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::geomConnectionIn
| protected

Definition at line 185 of file base.hpp.

## ◆ geomConnectionOut

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

boost::signals2::connection plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::geomConnectionOut
| protected

Definition at line 186 of file base.hpp.

## ◆ in

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

ReceiverFor<PropertyT, InputSpaceType> plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::in

Definition at line 189 of file base.hpp.

## ◆ inputObj

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

const InputGeomObj* plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::inputObj
| protected

Definition at line 182 of file base.hpp.

## ◆ outputObj

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

const OutputGeomObj* plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::outputObj
| protected

Definition at line 183 of file base.hpp.

## ◆ path

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

plask::optional<PathHints> plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::path
| protected

Definition at line 184 of file base.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/base.hpp